#ifndef __IMAGEDECODER_H__
#define __IMAGEDECODER_H__

#include <cstdint>
#include <optional>
#include <string>
#include <vector>

class ImageDecoder {
public:
    struct Image {
        uint32_t width;
        uint32_t height;
        std::vector<uint8_t> data;
    };
    static std::optional<Image> extractJpegYComponent(const std::string &filename);
};

#endif // __IMAGEDECODER_H__
